#!/bin/bash

. lib.sh

NO_GW_NEEDED=true

main() {
	ln -s ../filter/*.txt .
}

ids="0 $(seq 255 256 2047)"

ADDITIONAL_PLOTS=detail

plot_cmds() {
    if [[ "$1" = detail ]]; then
	range=0.36:0.8
    else
	range=0.05:100
	echo "set logscale y"
    fi
    min=$(head -n 1 id-0-msgs.txt | awk '{ print $2 }')
    cat <<EOF
set title "2048 GW rules (one per id, mask 0x7FF), no modifications"
set grid xtics ytics mytics lw 1, lw 0.5
set xlabel "Time [s]"
set ylabel "Latency [ms]"
plot [:] [$range] \\
EOF
    lt=1
    for i in $ids; do
	echo_plot "\"id-$i-msgs.txt\" using (\$2-$min):(1000*\$14) with points title \"Message id $i\""
        lt=$((lt+1))
    done
}
    
test_end
    
